# VirtualModels

Types:

```python
from nemo_platform.types.virtual_models import (
    CreateVirtualModelRequest,
    MiddlewareCall,
    UpdateVirtualModelRequest,
    VirtualModel,
    VirtualModelInferenceConfig,
    VirtualModelsPage,
)
```

Methods:

- client.virtual_models.create(\*, workspace, \*\*params) -> VirtualModel
- client.virtual_models.retrieve(name, \*, workspace) -> VirtualModel
- client.virtual_models.list(\*, workspace, \*\*params) -> SyncDefaultPagination[VirtualModel]
- client.virtual_models.delete(name, \*, workspace) -> None
- client.virtual_models.patch(name, \*, workspace, \*\*params) -> VirtualModel
